/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#include "shutdowncontroller.h"
#include "appcommands.h"
#include "platform.h"
#include "sdldialog.h"

void ShutdownController::MenuItemCommand(const sdl::MenuItem& aMenuItem, const sdl::TCommand& aCommand)
{
	if ((int) aCommand == TAppCommand::EShutdown)
	{
		if (sdl::StdDialogs::MessageDialog("Shutdown", "Are you sure?"))
		{
			Platform::Shutdown();
			printf("SHUTTING DOWN\n");
		}
	}
}
