/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#ifndef __SYSTEM_MENU_MODEL_H
#define __SYSTEM_MENU_MODEL_H

#include "sdlmenu2dmodel.h"
#include "sdlimenulistener.h"
#include "types.h"

class GameMenus;
class ThemeMenuModel;

namespace sdl
{
	class Audio;
}

class SystemMenuModel
{
public:
	SystemMenuModel(ThemeMenuModel& aThemeMenuModel) : iThemeMenuModel(aThemeMenuModel) {}
	void Construct();
	sdl::Menu* GetMenu() { return iMenu; }
private:
	sdl::Menu*			iMenu = nullptr; // don't own it
	ThemeMenuModel&		iThemeMenuModel;
};


#endif // __SYSTEM_MENU_MODEL_H