/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#ifndef __TYPES_H
#define __TYPES_H

#include <vector>
#include <string>
#include <map>
#include <set>

#include <memory>
#include <algorithm>
#include <iostream>
#include <fstream>
#include <sstream>
#include <iterator>


typedef std::pair<std::string, std::string>	TStringPair;
typedef std::vector<std::string>			TStringList;
typedef std::map<std::string, std::string>	TStringMap;
typedef std::vector<TStringPair >			TStringPairList;

class THex
{
public:
	THex(int aValue) { iValue = aValue; }
	operator int() { return iValue; }
	int iValue;
};


#endif // __TYPES_H
