/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#ifndef __SDL_USER_PROPERTIES_H
#define __SDL_USER_PROPERTIES_H

#include "sdlaudio.h"
#include "platform.h"

namespace sdl
{
	class UserProperties
	{
	public:
		UserProperties() { SetDefaults(); }
		void SetDefaults()
		{
			iAudioProperties = { {"all"}, 50, 512, false};
		}
		Audio::Properties	iAudioProperties;
	};
	
	extern UserProperties SDLUserProperties;
	
} // namespace sdl

#endif // __SDL_USER_PROPERTIES_H