/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#include "controllerutils.h"
#include "sdlinfoprint.h"
#include "resourcefileuserproperties.h"
#include "resourcefilejoystickproperties.h"


void ControllerUtils::SaveResourceFileUserProperties()
{
	if (ResourceFileUserProperties::Instance.Save())
		sdl::InfoPrint::Message(std::string("Settings saved"));
	else
		sdl::InfoPrint::Message(std::string("Error: could not save file: ") + ResourceFileUserProperties::Instance.GetFileName());
}

void ControllerUtils::SaveResourceFileJoystickProperties()
{
	if (ResourceFileJoystickProperties::Instance.Save())
		sdl::InfoPrint::Message(std::string("Settings saved"));
	else
		sdl::InfoPrint::Message("Error: could not save file: " + ResourceFileJoystickProperties::Instance.GetFileName());
}
