/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#ifndef __HOME_CONTROLLER_H
#define __HOME_CONTROLLER_H

#include "sdlimenulistener.h"

class GameMenus;
namespace sdl {	class Menu2DWidget; }

class HomeController : public sdl::IMenuItemListener
{
public:
	HomeController(const GameMenus& aGameMenus, sdl::Menu2DWidget& aMenu2DWidget) : iGameMenus(aGameMenus), iMenu2DWidget(aMenu2DWidget) {}
	
private: // from IMenuItemListener
	virtual void MenuItemHighlighted(const sdl::MenuItem& aMenuItem) override { }
	virtual void MenuItemCommand(const sdl::MenuItem& aMenuItem, const sdl::TCommand& aCommand) override;
	virtual void MenuListChanged(sdl::Menu& aMenu) override {}
	
	const GameMenus& iGameMenus;
	sdl::Menu2DWidget& iMenu2DWidget;
};

#endif // __HOME_CONTROLLER_H