/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#include "thememenucontroller.h"
#include "sdleventmanager.h"
#include "sdlinfoprint.h"
#include "controllerutils.h"
#include "thememodel.h"
#include "sdlmenu.h"

void ThemeMenuController::MenuItemCommand(const sdl::MenuItem& aMenuItem, const sdl::TCommand& aCommand)
{
	sdl::InfoPrint::Message("Theme selected: " + aMenuItem.GetCommand());
	iThemeModel.ChangeTheme(aMenuItem.GetCommand());
	ControllerUtils::SaveResourceFileUserProperties();
	sdl::EventManager::SendCommand(sdl::TCommand::EQuit);
}
