#include "sdlapplication.h"
#include "sdllabelwidget.h"
#include "sdlthemeproperties.h"
#include "sdlthemeproperties.h"

// needed for WIN32
#undef main

int main(int aArgc, char* aArgv[])
{
	sdl::SDLThemeProperties.iDebug.iShowOutline = true;
	sdl::SDLThemeProperties.iDebug.iOutlineColor = sdl::TColor::KRed;
	
	sdl::System::FontDirs.AddDirectoryName("fonts");

	sdl::Application application("test");
	application.Construct();
	
	sdl::LabelWidget* label = new sdl::LabelWidget();
	label->SetText("Hello World");
	label->SetSize(200, 100);
	label->SetShowDebugOutline(true);
	
	application.GetApplicationWidget().AddWidget(*label, true);
	application.Run();
	
	return 0;
};
