#include "sdlapplication.h"
#include "sdlsimpletextwidget.h"
#include "sdlthemeproperties.h"

// needed for WIN32
#undef main

int main(int aArgc, char* aArgv[])
{
	sdl::System::FontDirs.AddDirectoryName("fonts");

	sdl::Application application("test");
	application.Construct();
	
	sdl::SimpleTextWidget* simpleTextLabel = new sdl::SimpleTextWidget();
	simpleTextLabel->SetSize(800, 600);
	// sets color to red and then resets it to default
	simpleTextLabel->SetText("<font color=0x0ff0000><b>Hello</b><font color=-1><i><s>World</s></i>");
	simpleTextLabel->Layout();
	
	application.GetApplicationWidget().AddWidget(*simpleTextLabel, true);
	application.Run();
	
	return 0;
};
