/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#ifndef __SDL_APPLICATION_WIDGET_H
#define __SDL_APPLICATION_WIDGET_H

#include "sdlcontainer.h"
#include "sdlimagewidget.h"

namespace sdl
{
	class ApplicationWidget : public Container
	{
	public:
		void Construct();
		void SetBackgroundImage(const std::string& aFileName) { iBgBitmap.SetImageFile(aFileName); }
		
		virtual bool HandleCommandMyself(TCommand aCommand) override;
	private:
		ImageWidget iBgBitmap;
	};
}

#endif // __SDL_APPLICATION_WIDGET_H