/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#ifndef __SDL_SYSTEM_PROPERTIES_H
#define __SDL_SYSTEM_PROPERTIES_H

#include "sdlcore.h"
#include "sdllabelwidget.h"
#include "sdlwindow.h"
#include "sdldialog.h"
#include "sdlinfoprint.h"
#include "sdlpopupmenuwidget.h"
#include "sdlmenu2dwidget.h"
#include "sdlaudio.h"
#include "platform.h"

namespace sdl
{

class SystemProperties
{
public:
	SystemProperties() { SetDefaults(); }
	
	std::string iRenderer;

	void SetDefaults()
	{
		iRenderer = "SDLGPU";
	}
};

//class Properties;
extern SystemProperties SDLSystemProperties;


} // namespace sdl

#endif // __SDL_SYSTEM_PROPERTIES_H